Subject: Re: bug#36717: 25.3; greek.el: deprecated vowel+oxia combinations should be replaced with vowel+tonos counterparts

From: Robert Alessi <[email-masked]>
Date: Fri, 19 Jul 2019 11:09:02 +0200

On Fri, Jul 19, 2019 at 10:27:35AM +0200, Robert Pluim wrote:
> >>>>> On Fri, 19 Jul 2019 09:57:38 +0300, Eli Zaretskii <[email-masked]> said:
> 
>     Eli> We could ask on the Unicode mailing list.  There are Unicode experts
>     Eli> there, and they are quite friendly.  If someone can come up with a
>     Eli> comprehensive description of our situation and the issues we are
>     Eli> trying to resolve, please write to [email-masked], and ask the
>     Eli> questions.
> 
> I think reading <https://www.unicode.org/faq/greek.html> helps
> some. My understanding of the situation is that the basic Greek block
> should be used, rather than the extended Greek block, for the LETTER +
> OXIA/TONOS combinations (and the extended block versions all decompose
> to characters in the basic block + a combining mark).
> 
> To me that implies that the Greek input methods should use GREEK TONOS
> (\u384) consistently rather then GREEK OXIA (\u1ffd), but I couldn't
> see any explicit mention of that, and at least in my font they're
> visually distinct.
> 
> Thereʼs also <http://www.opoudjis.net/unicode/unicode.html>, but
> thatʼs much longer, so I only read the bit about oxia vs tonos, and it
> also has nothing to say on which to use when inserting only the
> accenting character itself.

It is quite an intricate business!  I have read this page yesterday
and also went through some of the references that are given.

What is very confusing in my opinion is that since the Greek
government allegedly decreed to mix up tonos and oxia, in a way, just
because tonos (as distinct from oxia) was the result of an earlier
reform, this may be interpreted as a deprecation of tonos and simple
vowels with tonos, and not the other way round...

Robert